## net.sf.saxon.expr
Class PJConverter.Atomic

    java.lang.Object
      net.sf.saxon.expr.PJConverter
          net.sf.saxon.expr.PJConverter.Atomic

All Implemented Interfaces:
  Serializable

Enclosing class:
  PJConverter

    public static class PJConverter.Atomic

extends PJConverter

Converter for use when the source object is an atomic value, but nothing more is known statically.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class net.sf.saxon.expr.PJConverter

`PJConverter.AnyURIValueToURI, PJConverter.AnyURIValueToURL, PJConverter.Atomic, PJConverter.BooleanValueToBoolean, PJConverter.CalendarValueToCalendar, PJConverter.CalendarValueToDate, PJConverter.General, PJConverter.Identity, PJConverter.IntegerValueToBigInteger, PJConverter.IntegerValueToByte, PJConverter.IntegerValueToChar, PJConverter.IntegerValueToInt, PJConverter.IntegerValueToLong, PJConverter.IntegerValueToShort, PJConverter.NumericValueToBigDecimal, PJConverter.NumericValueToDouble, PJConverter.NumericValueToFloat, PJConverter.QualifiedNameValueToQName, PJConverter.StringValueToChar, PJConverter.StringValueToString, PJConverter.ToArray, PJConverter.ToCollection, PJConverter.ToNull, PJConverter.ToSequenceExtent, PJConverter.ToSequenceIterator, PJConverter.UnwrapExternalObject`

Field Summary
`static PJConverter.Atomic` `INSTANCE`

Constructor Summary
`PJConverter.Atomic()`

Method Summary
`Object` `convert(ValueRepresentation value, Class targetClass, XPathContext context)` Convert an XPath value to a Java value of a specified class

Methods inherited from class net.sf.saxon.expr.PJConverter
`allocate, allocateNodeListCreator, compile, getEquivalentItemType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final PJConverter.Atomic INSTANCE

Constructor Detail

### PJConverter.Atomic

    public PJConverter.Atomic()

Method Detail

### convert

    public Object convert(ValueRepresentation value,
                          Class targetClass,
                          XPathContext context)
                   throws XPathException

  Description copied from class: `PJConverter`
  Convert an XPath value to a Java value of a specified class

  Specified by:
    `convert` in class `PJConverter`
  Parameters:
    `value` - the supplied XPath value
    `targetClass` - the class of the required Java value
    `context` - the XPath dynamic context
  Returns:
    the corresponding Java value, which is guaranteed to be an instance of the target class (except that an empty sequence is converted to null)
  Throws:
    `XPathException` - if the conversion is not possible or fails

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.